Shopware 4.2.1

Hallo Community, auf 4.2.0 folgt 4.2.1 http://wiki.shopware.de/Downloads_cat_448.html Falls ihr Probleme damit feststellt, bitte erstellt direkt in unserem Bugtracker ein Ticket. So bekommen unsere Entwickler direkt mit, wenn etwas nicht so ist, wie es sein soll. Viele Grüße aus dem Münsterland Patrick Schücker

Kann das Update nicht machen! Es kommt folgende Fehlermeldung: [quote]Error Received the following error message: Could not apply migration: SQLSTATE[21000]: Cardinality violation: 1242 Subquery returns more than 1 row Please try to fix this error and restart the update. Response {“success”:false,“deltaFile”:"/www/htdocs/xxxxxxxx/xxxxxxxx/update/assets/migrations/225-fix-emotion-required-fields.php",“deltaVersion”:225,“deltaLabel”:“fix-emotion-required-fields”,“errorMsg”:“Could not apply migration: SQLSTATE[21000]: Cardinality violation: 1242 Subquery returns more than 1 row”}[/quote]

Gibt es auch einen Update SW 4.2 auf SW 4.2.1? Grüsse Sepp

Klar. Schau mal auf den Update Reiter. Gesendet von meinem HTC One mit Tapatalk

sorry bei uns auch der Fehler {„success“:false,„deltaFile“:"/var/www/vhosts/haleico.de/httpdocs/update/assets/migrations/225-fix-emotion-required-fields.php",„deltaVersion“:225,„deltaLabel“:„fix-emotion-required-fields“,„errorMsg“:„Could not apply migration: SQLSTATE[21000]: Cardinality violation: 1242 Subquery returns more than 1 row“}

push wir sind alle nicht mehr online :(:(:(:frowning:

So geht es uns auch! Push!!!

Hallo zusammen, generell sollte ja ein Backup gemacht werden, damit genau so etwas nicht passiert bzw. damit man schnell zurück kann. Auch ist das Update immer vorher in einer Testumgebung empfehlenswert. Unabhängig davon geht es um das Delta 225 (Pflichfelder in Einkaufswelten) Das sind diese 5 Befehle https://github.com/ShopwareAG/shopware- … fields.php Ihr könnt die also auch manuell ausführen bzw. in der Datenbank überprüfen ob die Änderungen schon drin sind. Wenn ihr das gemacht habt, könnt ihr die s_schema_version anpassen. Also das Delta 225 auf ausgeführt setzen. Datum rein und letzte Spalte NULL setzen (siehe roter Hinweis). Sieh hier: http://wiki.shopware.de/Shopware-Update … ma_version Danach dann das Update wieder aufrufen. Es sollte dann abgeschlossen werden. Hoffe euch hiermit weiterhelfen zu können. Sebastian

1 Like

laut unserem super Provider https://www.aixpro.de/ die jetzt noch innerhalb von Minuten Support leisten sind es fehlende Tabellen in der Datenbank wir jetzt spielt mir der Provider die Datensicherung ein . Fünf Sterne für Aixpro sonst wären wir im Ar…

[quote=„Patrick Schücker“]Klar. Schau mal auf den Update Reiter. Gesendet von meinem HTC One mit Tapatalk[/quote] Hallo Patrick, danke für den Hinweis - da hatte ich schon nachgeschaut und auch wenn ich das nochmal überprüfe, ich finde kein Update 4.2.0 auf 4.2.1? Grüße Sepp

1 Like

Hi, habt ihr vielleicht eine alte Seite im Cache? http://wiki.shopware.de/Downloads_cat_448.html Da ist unter „Updates“ in der ersten Zeile das Update auf Shopware 4.2.1 Zusätzlich ist hier oben rechts auf der Seite ein Störer-Icon, welches direkt auf die Update-Seite verlinkt ist: http://wiki.shopware.de/Roadmap_cat_166.html Schönen Abend Sebastian

Also jetzt habe ich alles nochmals zurückgespielt. Somit wäre ich jetzt wieder bei der Version 4.2 und keinen Schritt weiter. Was muß ich jetzt machen, damit ich zur 4.2.1 komme? Warten bis die 4.2.2 kommt oder wie?

Hi, bei mir steht: Minor-Update 4.1.x auf 4.2.1 11.02.2014 Minor-Update 4.1.x auf 4.2.0 04.02.2014 Minor-Update 4.1.0 auf 4.1.4 09.12.2013 Wir brauchen wohl aber ein Update von 4.2.0 auf 4.2.1 und das wird nicht angezeigt :oops:

Hallo, das ist das doch in der ersten Zeile. Die Updates in der Linie waren kumulativ. Du kannst also eine 4.1.1 z.B. direkt auf 4.2.1 updaten, genau wie die 4.2.0 auf 4.2.1 Das ist das selbe Script Sebastian

2 Likes

Hallo jox, du kannst doch eine Kopie anlegen und dann das Update dort ersteinmal zum Test durchführen. Dann kann man da auch ggf. mal einen Blick drauf werfen sollte es wieder Probleme geben. (Ich habe selber nochmal 3 verschiedenen Umgebungen upgedatet und das lief sauber durch) Mit einer Kopie bist du dann ja zudem auch unabhängig vom Liveshop Falls du jetzt warten möchtest, so ist das natürlich auch möglich, aber dann bekommst du voraussichtlich dann wieder die selbe Meldung, wenn du das nächste Mal updatetst. Das Problem löst ja wohl nicht von alleine :wink: Ich würde auf jeden Fall das Update empfehlen. Am besten vorher in einer Kope (z.B. im Unterordner mit eigener Datenbank) testen. Sollte der Fehler auftreten kann man in dem jeweiligen Bereich dann genauer prüfen und wie zuvor von mir genannt die Deltas manuell ausführen. So kann man auch feststellen, was in der DB evtl. nicht stimmt. Danach kann die Tabelle mit den Deltas uf „erledigt“ gestellt werden und das Update wird dann abgeschlossen. Ich bin für heute raus Sebastian

Das mit den Deltas manuell ausführen schnalle ich jetzt gerade nicht. z. B.: [quote]SET @parent = (SELECT id FROM s_library_component WHERE x_type=‚emotion-components-banner-slider‘); UPDATE s_library_component_field SET allow_blank = ‚1‘ WHERE name = ‚banner_slider_title‘ AND componentID = @parent;[/quote] Muß ich das in der Datenbank als SQL-Befehl eingeben?

Hallo Ulli, [quote=“Ulli”]sorry bei uns auch der Fehler {“success”:false,“deltaFile”:"/var/www/vhosts/haleico.de/httpdocs/update/assets/migrations/225-fix-emotion-required-fields.php",“deltaVersion”:225,“deltaLabel”:“fix-emotion-required-fields”,“errorMsg”:“Could not apply migration: SQLSTATE[21000]: Cardinality violation: 1242 Subquery returns more than 1 row”}[/quote] Wie hast Du das Problem jetzt gelöst?

Wenn mir jetzt noch jemand erklären könnte, wie ich die Deltas manuell ausführen kann, dann könnte ich weitermachen.

Entschuldigung, Ja! Alle Befehle gingen durch bis auf einen. Beim BannerSlider gibt es folgende Fehlermeldung: [quote]Fehler SQL-Befehl: Dokumentation SET @parent = ( SELECT id FROM s_library_component WHERE x_type = ‘emotion-components-banner-slider’ ) ; MySQL meldet: Dokumentation #1242 - Subquery returns more than 1 row [/quote] Soll ich den BannerSlider entfernen und neu installieren?